Help with jailbreaking and Cydia for iPhones, iPads, and iPod touches.

Pangu provides an iOS 9.0 untethered jailbreak. TaiG provides an iOS 8.4 and 8.3 untethered jailbreak.
Check @PanguTeam, @taig_jailbreak, @saurik, and /r/jailbreak for news and updates.
You can use Cydia Impactor if you need to un-jailbreak an 8.1-8.4 device without restoring.
Instructions for jailbreaking iOS 8.0-8.4.
Before asking a question, check Frequently Asked Questions to find quick answers!
How to fix some mysterious problems.

Hi all,

I have Veency installed but cannot connect to it. The client error message is "connection refused". I tried disabling/enabling, clearing/setting the password, etc but still nothing. I checked to see if Veency is listening by running netstat on the iPhone but nothing is listening on port 5900.

At some point I realized Veency and some other Cydia packages were a few version out of date. Strangely Cydia doesn't prompt to upgrade any of them. Maybe this is the root problem. I manually updated Veency and the mobile substrate by removing them from Cydia and installing the new versions using dpkg. No issues with installing but Veency still isn't listening/running.

I have a handful of phones that are doing this while another handful (identical hardware/ios) work just fine. I can't restore and rejailbreak because I don't have a backup pre-jailbreak. So I really need to resolve this issue without resorting to extreme measures.

Can anyone point me in a direction to start troubleshooting this issue at a low level? I don't know where to start poking around for error messages, etc.

Vital Info: -Jailbroken iPhone 5s -Jailbroken with evasi0n 1.0.4 -IOS 7.0.4 -Veency 0.9.3381 (upgraded to 0.9.3401) -MobileSubstrate 0.9.5000 (upgraded to 0.9.5001)

Thanks for your help!

asked 02 May '14, 13:40

quaestor's gravatar image

quaestor
36215

Just saw that evasi0n 1.0.7 fixes a problem with repository package info not being updated...

Anyone know how to force the update?

(02 May '14, 13:43) quaestor quaestor's gravatar image

You're right that this is a problem caused by certain evasi0n7 versions before 1.0.7. You can fix it by wiping Cydia's caches and letting them refresh again. Here are some easy instructions:

For those of you that recently jaibroke and found some errors regarding cydia dependencies such as substrate v0.9551, your issue is caused by bad timestamps on the evasi0n repository payloads. The solution is to clean it out with icleaner:

Use iCleaner to clear out your repo data, and then everything will reload properly. Here’s what you do:

  1. install iCleaner (free)

  2. Turn off everything in iCleaner

  3. Turn on the “Cydia Sources” switch

  4. Hit “Clean” on the top right

  5. Go back into cydia, tap the changes tab, tap ‘refresh’ at top left, and wait for data to download and reloading data to finish

  6. Uninstall iCleaner (optional)

link

answered 02 May '14, 14:47

britta's gravatar image

britta
25.2k115935

edited 02 May '14, 14:48

Thank you so much!

New Curses was the only outstanding package needing an update in this case. That updated and now Veency works fine.

(02 May '14, 15:14) quaestor quaestor's gravatar image
Your answer: (please use the "add new comment" button unless you are actually answering the original question)
toggle preview

Markdown Basics

  • *italic* or _italic_
  • **bold** or __bold__
  • link:[text](http://url.com/ "Title")
  • image?![alt text](/path/img.jpg "Title")
  • numbered list: 1. Foo 2. Bar
  • to add a line break simply add two spaces to where you would like the new line to be.
  • basic HTML tags are also supported

Tags:

×4,404
×139
×15

Asked: 02 May '14, 13:40

Seen: 3,141 times

Last updated: 02 May '14, 15:14

JailbreakQA is by chpwn and comex.
About JailbreakQA. Powered by OSQA.